1. Nimm jetzt an unserem Uhans - 3. ADVENT - Gewinnspiel teil - Alle Informationen findest Du hier!

Original 1.5 dev Rom auf rooted G1

Dieses Thema im Forum "Root / Hacking / Modding für T-Mobile G1" wurde erstellt von kodex83, 28.04.2009.

  1. kodex83, 28.04.2009 #1
    kodex83

    kodex83 Threadstarter Neuer Benutzer

    Beiträge:
    9
    Erhaltene Danke:
    0
    Registriert seit:
    28.04.2009
    Hallo,

    ich habe ein G1 aus Amerika gekauft. Es ist kein Dev Phone. Jedoch habe ich es unlocket gekauft.
    Ich habe mein G1 gerootet nach einer anleitung von JesusFreak (JF)

    Gestern habe ich gesehen das die V1.5 für das Dev Phone released wurde.
    HTC - Support - Flashing your Android Dev Phone with a Factory System Image

    Kann ich diese Firmware auf meinem G1 installieren oder wird dann wie bei einem IPhone das gerät zu einem Briefbeschwerer?

    Vielen Dank schonmal.

    Gruß kodex
     
  2. DevilX, 28.04.2009 #2
    DevilX

    DevilX Android-Experte

    Beiträge:
    701
    Erhaltene Danke:
    35
    Registriert seit:
    04.04.2009
    Nimm das ADP1.5Hr1 von haykuro, das basiert auf dem offiziellen 1.5 hat aber rootrechte.
     
  3. Eclipse, 28.04.2009 #3
    Eclipse

    Eclipse Erfahrener Benutzer

    Beiträge:
    247
    Erhaltene Danke:
    12
    Registriert seit:
    04.02.2009
    Phone:
    T-Mobile G1
    Dev phone = root

    ich werde auch mit den images von HTC upgraden.

    nochmal in gross für die die es noch nicht mitbekommen haben:

    "Zugleich stellt HTC neue System-Images für das Android Dev Phone 1 bereit, mit dem sich das Gerät auf Android 1.5 updaten lässt."

    Android 1.5 veröffentlicht - Golem.de

    EDIT: ich lese gerade "Nimm das ADP1.5Hr1 von haykuro, das basiert auf dem offiziellen 1.5 hat aber rootrechte." soll das heissen, wenn ich jetzt das HTC image hernehme, das ich dann keine root rechte mehr habe?
    Es steht doch da, des es für ein Android Dev Phone ist, wieso sollten da die root rechte veschwinden?
     
  4. kodex83, 28.04.2009 #4
    kodex83

    kodex83 Threadstarter Neuer Benutzer

    Beiträge:
    9
    Erhaltene Danke:
    0
    Registriert seit:
    28.04.2009
    Danke für eure antworten die frage ist glaub falsch verstanden.
    Ich habe kein Dev Phone.
    Kann ich trotzdem Problemlos die 1.5 Dev Firmware installieren?
     
  5. Eclipse, 28.04.2009 #5
    Eclipse

    Eclipse Erfahrener Benutzer

    Beiträge:
    247
    Erhaltene Danke:
    12
    Registriert seit:
    04.02.2009
    Phone:
    T-Mobile G1
    ja aber du hast doch dein G1 gerootet. dann hast du ein Dev Phone. Korrigiert mich wenn ich ein mist schreibe.
     
  6. kodex83, 28.04.2009 #6
    kodex83

    kodex83 Threadstarter Neuer Benutzer

    Beiträge:
    9
    Erhaltene Danke:
    0
    Registriert seit:
    28.04.2009
  7. Zerodime, 28.04.2009 #7
    Zerodime

    Zerodime Junior Mitglied

    Beiträge:
    43
    Erhaltene Danke:
    2
    Registriert seit:
    13.03.2009
    Korrigiert ;)
    Ohne die FW zu wissne ist es nicht möglich zu sagen was für ein Phone du hast.
    Du kannst aber jedes G1 mit jeder G1 FW bestücken (auch der 1.1 ADP, dem Android Developer Phone) habe ich zum Beispiel gemacht.

    Ja
     
  8. Eclipse, 28.04.2009 #8
    Eclipse

    Eclipse Erfahrener Benutzer

    Beiträge:
    247
    Erhaltene Danke:
    12
    Registriert seit:
    04.02.2009
    Phone:
    T-Mobile G1
    Danke Zerodime ;)

    da mein Wissen nur auf das nötigste beschränkt ist, mache ich solche ungenaue Formulierungen.

    Ich habe mein G1 auch mit de FW ADP 1.1 geflasht. D.h. ich habe ein Dev Phone. Der kodex83 kann das auch machen.

    Und wenn ich nun das update für Android 1.5 von HTC hernehme habe ich immer noch ein Dev Phone, also mit root rechten...
     
  9. kodex83, 28.04.2009 #9
    kodex83

    kodex83 Threadstarter Neuer Benutzer

    Beiträge:
    9
    Erhaltene Danke:
    0
    Registriert seit:
    28.04.2009
    Wow der Support hier ist echt super!
    Vielen Vielen Dank :cool:

    Ok jetzt hab ich noch ne noob fragen (sorry)

    Wie soll ich vorgehen?
    Auf der Seite HTC - Support - Flashing your Android Dev Phone with a Factory System Image gehen und die offizielle 1.1 Version laden. Dies dann installieren anschließend die 1.5 laden und diese auch flashen. Richtig, oder?

    Muss ich zuerst immer das Radio Image flashen und dann das Recovery Image?
    Und das System Image brauch ich gar nicht, oder?
     
  10. micm, 28.04.2009 #10
    micm

    micm Android-Hilfe.de Mitglied

    Beiträge:
    50
    Erhaltene Danke:
    12
    Registriert seit:
    21.01.2009
  11. kanty2ka, 28.04.2009 #11
    kanty2ka

    kanty2ka Erfahrener Benutzer

    Beiträge:
    207
    Erhaltene Danke:
    27
    Registriert seit:
    24.01.2009
    unterstützt die adp 1.5 deutsche menüführung ??

    MfG
     
  12. DevilX, 28.04.2009 #12
    DevilX

    DevilX Android-Experte

    Beiträge:
    701
    Erhaltene Danke:
    35
    Registriert seit:
    04.04.2009
    Nein tut sie nicht..

    Ich habe die ADP1.5Hr1, habe root rechte, das Whitlist tool ist drauf und läuft super.
     
  13. kanty2ka, 28.04.2009 #13
    kanty2ka

    kanty2ka Erfahrener Benutzer

    Beiträge:
    207
    Erhaltene Danke:
    27
    Registriert seit:
    24.01.2009
    ist das neue Radio mit unserer JF rc9 version lauffähig ?
     
  14. The One, 28.04.2009 #14
    The One

    The One Fortgeschrittenes Mitglied

    Beiträge:
    265
    Erhaltene Danke:
    24
    Registriert seit:
    23.01.2009
    Also soviel ich weiß ja. Hatte es gestern schon mal mit dem neuen radio am laufen. Aber ixh würde dir empfehlen gleich auf die adp 1.5 umzusteigen. Einfach das Recovery Image herunterladen und als update.zip auf die Sd-Karte spielen. Hierbei wird auch gleich das Radio Image mitinstalliert.
     
  15. kanty2ka, 28.04.2009 #15
    kanty2ka

    kanty2ka Erfahrener Benutzer

    Beiträge:
    207
    Erhaltene Danke:
    27
    Registriert seit:
    24.01.2009
    hmmm, wollte schon das deutsche menü behalten !!
     
  16. kodex83, 30.04.2009 #16
    kodex83

    kodex83 Threadstarter Neuer Benutzer

    Beiträge:
    9
    Erhaltene Danke:
    0
    Registriert seit:
    28.04.2009
    also ich hab das jetzt gestern versucht.
    Mit einem gerooteten G1 ist es nicht möglich das Original ADP 1.5 drauf zuspielen. Schade eigentlich.

    Ich habe jetzt das haykuru adp1.5Hr3 installiert. Funktioniert Problemlos. Leider ist die deutsche Sprache nicht dabei. Kann man die irgendwie nachinstallieren.

    Hat jemand eine Idee?
     
  17. Zerodime, 30.04.2009 #17
    Zerodime

    Zerodime Junior Mitglied

    Beiträge:
    43
    Erhaltene Danke:
    2
    Registriert seit:
    13.03.2009
    Gehen sollte das fast garantiert...die frage ist wie.
    Es wird irgend eine spezielle Datei sein, die die sprachen beinhaltet (denke ich mal)
    Man müsste sie finden und übersetzen (sofern noch nicht geschehen)
     
  18. kodex83, 30.04.2009 #18
    kodex83

    kodex83 Threadstarter Neuer Benutzer

    Beiträge:
    9
    Erhaltene Danke:
    0
    Registriert seit:
    28.04.2009
  19. Zerodime, 30.04.2009 #19
    Zerodime

    Zerodime Junior Mitglied

    Beiträge:
    43
    Erhaltene Danke:
    2
    Registriert seit:
    13.03.2009
    Da bin ich mir sicher das man dies kann.
    Man muss nur die Dateien lokalisieren und einfügen. (Im schlimmsten falle muss man die XMLs erst compilieren in so ein komisches Format von Android, bin mir aber ned sicher!)
    Am ende würde das hinzufügen entweder per root oder update.zip funktionieren.
     
  20. Zerodime, 30.04.2009 #20
    Zerodime

    Zerodime Junior Mitglied

    Beiträge:
    43
    Erhaltene Danke:
    2
    Registriert seit:
    13.03.2009
    Hm soweit ich des seh sind diese Daten in "/system/framework/framework-res.apk"
    nachdem ich die apk entpackt habe musste ich feststellen das die XML-Dateien in besagtem 'komischem' Format sind mit dem ich mich nich auskenne ^^'
    Kann sich des mal jemand ankucken der nich auf der Arbeit sitzt? ;)
     

Diese Seite empfehlen